#include <iostream>
#include <vector>

using namespace std;

int brojVagi(vector<long long int> x, vector<long long int> y, long long int prvi, long long int drugi, long long int tezina);

int main()
{
    ios_base::sync_with_stdio(false);
    int n, m;
    cin >> n >> m;
    vector<long long int> d, u;
    vector<int> rez;
    for(int i = 0; i < n; i++)
    {
        long long int x, y;
        cin >> x >> y;
        d.push_back(x);
        u.push_back(y);
    }
    for(int i = 0; i < m; i++)
    {
        long long int l, r, x;
        cin >> l >> r >> x;
        rez.push_back(brojVagi(d, u, l - 1, r - 1, x));
    }
    for(int i = 0; i < m; i++) cout << rez[i] << endl;
    return 0;
}

int brojVagi(vector<long long int> x, vector<long long int> y, long long int prvi, long long int poslednji, long long int tezina)
{
    int br = 0;
    for(int i = prvi; i <= poslednji; i++)
    {
        if(tezina >= x[i] && tezina <= y[i]) br++;
    }
    return br;
}